Crazy Eddies GUI System: CEGUI::RenderedStringTextComponent Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Protected Member Functions | Protected Attributes
CEGUI::RenderedStringTextComponent Class Reference

String component that draws an image. More...

Inheritance diagram for CEGUI::RenderedStringTextComponent:
[legend]
Collaboration diagram for CEGUI::RenderedStringTextComponent:
[legend]

List of all members.

## Public Member Functions
| RenderedStringTextComponent ()
| Constructor.
| RenderedStringTextComponent (const String &text)
| RenderedStringTextComponent (const String &text, const String &font_name)
| RenderedStringTextComponent (const String &text, Font *font)
void | setText (const String &text)
| Set the text to be rendered by this component.
const String & | getText () const
| return the text that will be rendered by this component
void | setFont (Font *font)
| set the font to use when rendering the text.
void | setFont (const String &font_name)
| set the font to use when rendering the text.
Font * | getFont () const
| return the font set to be used. If 0 the default font will be used.
void | setColours (const ColourRect &cr)
| Set the colour values used when rendering this component.
void | setColours (const colour &c)
| Set the colour values used when rendering this component.
const ColourRect & | getColours () const
| return the ColourRect object used when drawing this component.
void | draw (GeometryBuffer &buffer, const Vector2 &position, const ColourRect *mod_colours, const Rect *clip_rect, const float vertical_space, const float space_extra) const
| draw the component.
Size | getPixelSize () const
| return the pixel size of the rendered component.
bool | canSplit () const
| return whether the component can be split
RenderedStringTextComponent * | split (float split_point, bool first_component)
| split the component as close to split_point as possible, returning a new RenderedStringComponent of the same type as '*this' holding the left side of the split, and leaving the right side of the split in this object.
RenderedStringTextComponent * | clone () const
| clone this component.
size_t | getSpaceCount () const
| return the total number of spacing characters in the string.
## Static Protected Member Functions
static size_t | getNextTokenLength (const String &text, size_t start_idx)
## Protected Attributes
String | d_text
| pointer to the image drawn by the component.
Font * | d_font
| Font to use for text rendering, 0 for system default.
ColourRect | d_colours
| ColourRect object describing the colours to use when rendering.

## Detailed Description

String component that draws an image.

## Member Function Documentation

RenderedStringTextComponent* CEGUI::RenderedStringTextComponent::split | ( | float | split_point,
|  | bool | first_component
| ) |  | `[virtual]`

split the component as close to split_point as possible, returning a new RenderedStringComponent of the same type as '*this' holding the left side of the split, and leaving the right side of the split in this object.

Exceptions:

  InvalidRequestException | thrown if the RenderedStringComponent does not support being split.

Implements CEGUI::RenderedStringComponent.